{% extends "/admin/master.twig" %}

{% block title %}Dashboard - Articles{% endblock %}
{% block description %}Manage articles{% endblock %}

{% block header %}
    <script src="{{ asset('assets/js/list.min.js') }}"></script>
{% endblock %}

{% block body %}
    <div id="articles">
        <div class="ui huge fluid action input">
            <input class="search" type="text" placeholder="Search...">
            <button class="ui icon sort button" data-sort="name">
                <i class="search icon"></i>
            </button>
        </div>

        {% if message is not empty %}
            <div class="ui timed success message">
                <i class="close icon"></i>
                <div class="header">
                    Success!
                </div>
                {{ message }}
            </div>
        {% endif %}

        <div class="ui styled fluid accordion list">
            {% for article in articles %}
                <div>
                    <div class="title ui grid">
                        <div class="fourteen wide paddingless column">
                            <h2 class="ui grey header">
                                <i class="newspaper outline padded icon"></i>
                                <div class="content h-padded">
                                    <span class="s-title">{{ article.title }}</span>
                                    <div class="sub header s-author">By {{ article.author.name }}</div>
                                </div>
                            </h2>
                        </div>
                        <div class="two wide right aligned paddingless column">
                            <div class="ui right floated label s-cat">{{ article.category.name }}</div>
                        </div>
                    </div>
                    <div class="bottom attached content">

                        {% for tag in article.tags %}
                            <div class="ui tag label s-tag">{{ tag.name }}</div>
                        {% endfor %}

                        <div class="ui right floated icon buttons">
                            <a class="ui button edit-btn" data-tooltip="Edit" href="articles/edit/{{ article.id }}">
                                <i class="edit icon"></i>
                            </a>
                            <a class="ui button delete-btn" data-tooltip="Delete"
                               href="?del={{ article.id }}&t={{ token }}">
                                <i class="trash icon"></i>
                            </a>
                        </div>
                    </div>
                </div>
            {% endfor %}

        </div>
    </div>

    <script>
        const list_options = {
            valueNames: ['s-title', 's-author', 's-cat', 's-tag']
        };
        const artList = new List('articles', list_options);
    </script>

{% endblock %}
